Generate a receive address for a wallet
curl --request POST \
--url https://api.balansas.com/functions/v1/customer-api/wallets/{walletId}/addresses \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"asset": "<string>",
"network": "<string>"
}
'import requests
url = "https://api.balansas.com/functions/v1/customer-api/wallets/{walletId}/addresses"
payload = {
"asset": "<string>",
"network": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({asset: '<string>', network: '<string>'})
};
fetch('https://api.balansas.com/functions/v1/customer-api/wallets/{walletId}/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"local_id": "7c8d9e0f-1a2b-4c3d-5e6f-7a8b9c0d1e2f",
"asset": "USDC",
"network": "ethereum",
"address": "0xAbC1234567890dEf1234567890AbCdEf12345678",
"is_default": false
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Wallets
Generate a receive address for a wallet
POST
/
wallets
/
{walletId}
/
addresses
Generate a receive address for a wallet
Authorizations
Customer API key. Send as x-api-key: sk_... or Authorization: Bearer sk_.... Write operations also require an X-CSRF-Token header (64-char hex).
Body
application/json
Response
Success
Show child attributes
Show child attributes
⌘I

